%{?nodejs_find_provides_and_requires}
Name:                nodejs-grunt-legacy-log
Version:             1.0.2
Release:             1
Summary:             The Grunt 0.4.x logger
License:             MIT
URL:                 https://github.com/gruntjs/grunt-legacy-log
Source0:             https://github.com/gruntjs/grunt-legacy-log/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(nodeunit) npm(colors) npm(grunt-legacy-log-utils) npm(hooker) npm(lodash)
BuildRequires:       npm(underscore.string)
%description
%{summary}.

%prep
%autosetup -n grunt-legacy-log-%{version}
%nodejs_fixdep colors "^1.1.2"
%nodejs_fixdep lodash "^3.10.1"
%nodejs_fixdep underscore.string "^2.3.1"
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-log
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/grunt-legacy-log
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
FORCE_COLOR=1 %{nodejs_sitelib}/nodeunit/bin/nodeunit test/index.js

%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-log

%changelog
* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 1.0.2-1
- package init
